using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 附加评估标准影像筛选")]
[Table("SubjectCriteriaEvaluationVisitFilter")]
public class SubjectCriteriaEvaluationVisitFilter : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }

    [JsonIgnore]

    public SubjectVisit SubjectVisit { get; set; }
    #endregion
    public Guid SubjectId { get; set; }
    public Guid TrialReadingCriterionId { get; set; }
    public Guid SubjectVisitId { get; set; }

    [Comment("影像筛选状态")]
    public ImageFilterState ImageFilterState { get; set; }

    [Comment("影像判断结果")]
    public ImageDeterminationResultState ImageDeterminationResultState { get; set; }

    [Comment("是否已生成任务")]
    public bool IsGeneratedTask { get; set; }

}


